package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.PunchLocation;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface PunchLocationService {
	PunchLocation get(String id);
	boolean exist(String id);
	int insert(PunchLocation model);
	int update(PunchLocation model);
	int delete(String id);
	List<PunchLocation> list();
	Page<PunchLocation> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
}